{% extends 'layouts/artdrop.html.twig' %}

{% block title %}Bienvenu sur ArtDrop{% endblock %}

{% block newstylesheets %}
    <!-- Inclut une feuille de style spécifique pour la page -->
    <link rel="stylesheet" href="{{ asset('assets/css/my-artwork-content.css') }}">
{% endblock %}


{% block newjavascripts %}
    <!-- Inclut la feuille de JS spécifique pour la page -->
    <script src="{{ asset('assets/js/searchBar.js') }}"></script>
    <script src="{{ asset('assets/js/checkbox.js') }}"></script>
{% endblock %}


{% block searchicon %}
    <!-- ajout d'une icône pour l'affichage du moteur de la barre de recherche -->
    <li id="search-icon" onclick="toggleSearchBar()"><a href="#"><i class="bi bi-search search-icon"></i></a>
    </li> {% endblock %}


{% block enginesearch %}
    <!-- moteur de recherche -->

    <div class="engine-search">
        <div id="search-bar" class="search-bar">
            {#            <input type="text" id="search-input" placeholder="Rechercher..."> #}
            {{ form_start(searchForm) }}
            {{ form_widget(searchForm.search, {'attr': {'id':'search-input'}}) }}
            <button id="search-button">Rechercher</button>
            <br>
            {{ form_widget(searchForm.categories) }}
            {{ form_end(searchForm) }}
        </div>
    </div>
{% endblock %}


 {% block heroSection %}
     <!-- ======= Hero Section ======= -->
     <section id="hero" class="hero d-flex flex-column justify-content-center align-items-center">
         <div class="container">
             <div class="row justify-content-center">
                 <div class="col-lg-6 text-center">
                     <!-- affiche le titre et la déscription de la page -->
                     <h2>Bienvenue dans notre galerie d'art numérique ! <span> ArtDrop </span></h2>
                     <p class="welcome_text">Plongez dans un univers créatif où chaque œuvre raconte une histoire.
                         Explorez ces trésors numériques, fruit du talent et de la passion d'artistes indépendants.
                         Laissez-vous captiver par la richesse de l'art numérique et par les émotions qu'il suscite.
                         Profitez de cette expérience artistique unique !</p>
                 </div>
             </div>
         </div>
     </section><!-- End Hero Section -->
 {% endblock %}


{% block section %}
    <!-- ======= Gallery Section ======= -->
    <!-- section de la gallery comprennent l'ensemble des oeuvres créer par tout les utilisateurs -->
    <section class="gallery">
        <div class="container-fluid">
            <div class="row gy-4 justify-content-center">

                {% if artworks is not empty %}
                    {% for artwork in artworks %}
                        <!-- ouvre généré dynamiquement par la boucle -->
                        <div class="artwork-item col-xl-3 col-lg-4 col-md-6">
                            <div class="artwork-box">
                                <div class="gallery-item h-100">
                                    <a href="{{ path('artwork_page', { 'id': artwork.id } ) }}"><img
                                                src="{{ asset('assets/uploads/' ~ artwork.photo.path) }}"
                                                alt="{{ artwork.artworkTitle }}" class="img-fluid"></a>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                {% else %}
                    <!-- Inclut un message de informatif dans le cas ou la recherche ne donne rien -->
                    {% include 'includes/flash-message.html.twig' %}
                    <!-- boucle créant chaque oeuvre-->
                    {% for entity in artworks %}
                        <!-- ouvre généré dynamiquement par la boucle -->
                        <div class="artwork-item col-xl-3 col-lg-4 col-md-6">
                            <div class="artwork-box">
                                <div class="gallery-item h-100">
                                    <a href="{{ path('artwork_page', { 'id': entity.id } ) }}"><img
                                                src="{{ asset('assets/uploads/' ~ entity.photo.path) }}"
                                                alt="{{ entity.artworkTitle }}" class="img-fluid"></a>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                {% endif %}
            </div>
        </div>
        <!-- End Gallery Section -->
    </section>
{% endblock %}